BUnzip2 (Apache Ant API)
Date: 2015-06-29

org.apache.tools.ant.taskdefs

## Class BUnzip2

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.Unpack
      - - org.apache.tools.ant.taskdefs.BUnzip2

- All Implemented Interfaces:
    java.lang.Cloneable

      public class BUnzip2
      extends Unpack

  Expands a file that has been compressed with the BZIP2 algorithm. Normally used to compress non-compressed archives such as TAR files.
  Since:
    Ant 1.5

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.taskdefs.Unpack

      `dest, source, srcResource`

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BUnzip2()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `extract()` Do the unbzipping.
    `protected java.lang.String` | `getDefaultExtension()` Get the default extension.
    `protected boolean` | `supportsNonFileResources()` Whether this task can deal with non-file resources.

    - ### Methods inherited from class org.apache.tools.ant.taskdefs.Unpack

      `addConfigured, execute, setDest, setDest, setSrc, setSrc, setSrcResource`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BUnzip2

          public BUnzip2()

  - ### Method Detail

    - #### getDefaultExtension

          protected java.lang.String getDefaultExtension()

      Get the default extension.
      Specified by:
        `getDefaultExtension` in class `Unpack`
      Returns:
        the string ".bz2"

    - #### extract

          protected void extract()

      Do the unbzipping.
      Specified by:
        `extract` in class `Unpack`

    - #### supportsNonFileResources

          protected boolean supportsNonFileResources()

      Whether this task can deal with non-file resources.

      This implementation returns true only if this task is <gunzip>. Any subclass of this class that also wants to support non-file resources needs to override this method. We need to do so for backwards compatibility reasons since we can't expect subclasses to support resources.

      Overrides:
        `supportsNonFileResources` in class `Unpack`
      Returns:
        true if this class supports non file resources.
      Since:
        Ant 1.7